    The XSPEC diskpn model: accretion disk, black hole, black body.

xsdiskpn
The xsdiskpn model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsdiskpn", "mdl")
>>> print(mdl)

Create a component of the xsdiskpn model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.T_max thawed 1 0.0001 200 keV mdl.R_in thawed 6 6 1000 R_g mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
T_max
The maximum temperature in the disk, in keV.
R_in
The inner disk radius, in units of Rg (GM/c^2).
norm
The normalization of the model: see [1] for details.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelDiskpn.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023